/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.dispatch.talend.web.internal.metadata;

import com.liferay.dispatch.metadata.DispatchTriggerMetadata;

import java.util.Collections;
import java.util.Map;

/**
 * @author Igor Beslic
 */
public class TalendDispatchTriggerMetadata implements DispatchTriggerMetadata {

	public TalendDispatchTriggerMetadata(boolean ready) {
		this(ready, Collections.emptyMap());
	}

	public TalendDispatchTriggerMetadata(
		boolean ready, Map<String, String> errors) {

		_ready = ready;
		_errors = Collections.unmodifiableMap(errors);
	}

	@Override
	public Map<String, String> getAttributes() {
		return Collections.emptyMap();
	}

	@Override
	public Map<String, String> getErrors() {
		return _errors;
	}

	@Override
	public boolean isDispatchTaskExecutorReady() {
		return _ready;
	}

	private final Map<String, String> _errors;
	private final boolean _ready;

}